Get a payment intent
curl --request GET \
--url https://api-sandbox.circle.com/v1/paymentIntents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/paymentIntents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/paymentIntents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "8755d0ea-14f9-4259-b092-de23c14b6568",
"amount": {
"amount": "3.14",
"currency": "USD"
},
"amountPaid": {
"amount": "0.00",
"currency": "USD"
},
"settlementCurrency": "USD",
"paymentMethods": [
{
"type": "blockchain",
"chain": "ETH",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F"
}
],
"paymentIds": [],
"timeline": [
{
"status": "created",
"time": "2022-07-21T20:13:35.579331Z"
}
],
"createDate": "2022-07-21T20:13:35.578678Z",
"updateDate": "2022-07-21T20:19:24.859052Z"
}
}Get a payment intent
GET
/
v1
/
paymentIntents
/
{id}
Get a payment intent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully retrieved a payment intent.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I